class_DATA = DCOPRef.class Response.class Client.class Stub.class
classdir = $(kde_libraries)/java/org/trinitydesktop/DCOP

SUFFIXES = .java .class

.java.class:
	if $(JAVA8); then \
	  CLASSPATH=$(top_srcdir)/dcopjava/binding $(JAVAC) -d ../../../ -cp ../../../ $(top_srcdir)/dcopjava/binding/org/trinitydesktop/DCOP/$*.java -h ../../..; \
	else \
	  CLASSPATH=$(top_srcdir)/dcopjava/binding $(JAVAC) -d ../../../ -cp ../../../ $(top_srcdir)/dcopjava/binding/org/trinitydesktop/DCOP/$*.java; \
	fi

CLEANFILES = $(class_DATA)
